#
# Conditional build:
%bcond_without	doc		# Sphinx documentation
%bcond_with	tests		# unit tests (require DISPLAY)

%define		module	pygobject
Summary:	Python 3 bindings for GObject library
Summary(pl.UTF-8):	Wiązania Pythona 3 do biblioteki GObject
Name:		python3-pygobject3
Version:	3.42.0
Release:	1
License:	LGPL v2+
Group:		Libraries/Python
Source0:	https://download.gnome.org/sources/pygobject/3.42/%{module}-%{version}.tar.xz
# Source0-md5:	1cf619f7016a615d8f88ca4ac66ebbb3
URL:		https://wiki.gnome.org/Projects/PyGObject
BuildRequires:	cairo-gobject-devel
BuildRequires:	glib2-devel >= 1:2.56.0
BuildRequires:	gobject-introspection-devel >= 1.56.0
BuildRequires:	libffi-devel >= 3.0
BuildRequires:	pkgconfig
BuildRequires:	python3 >= 1:3.6
BuildRequires:	python3-devel >= 1:3.6
BuildRequires:	python3-modules >= 1:3.6
BuildRequires:	python3-pycairo-devel >= 1.16.0
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-pytest
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.714
%{?with_doc:BuildRequires:	sphinx-pdg}
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glib2 >= 1:2.56.0
Requires:	gobject-introspection >= 1.56.0
Requires:	python3-modules >= 1:3.6
Conflicts:	python3-pygobject < 2.28.6-3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python 3 bindings for GObject library.

%description -l pl.UTF-8
Wiązania Pythona 3 do biblioteki GObject.

%package devel
Summary:	Python 3 bindings for GObject library - development metapackage
Summary(pl.UTF-8):	Wiązania Pythona 3 do biblioteki GObject - metapakiet programistyczny
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python-pygobject3-common-devel = %{version}-%{release}
Requires:	glib2-devel >= 1:2.48.0
Requires:	libffi-devel >= 3.0
Requires:	python3-devel >= 1:3.5

%description devel
This metapackage gathers files required to develop GObject bindings
for Python 3.

%description devel -l pl.UTF-8
Ten metapakiet gromadzi pliki wymagane do tworzenia wiązań biblioteki
GObject dla Pythona 3.

%package -n python-pygobject3-common-devel
Summary:	Python bindings for GObject library
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki GObject
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.48.0
Requires:	libffi-devel >= 3.0

%description -n python-pygobject3-common-devel
This package contains headers files required to build wrappers for
GObject addon libraries so that they interoperate with Python
bindings.

%description -n python-pygobject3-common-devel -l pl.UTF-8
Pakiet zawiera pliki nagłówkowe wymagane do zbudowania funkcji do
biblioteki GObject, tak by mogły te biblioteki kooperowaći z
wiązaniami Pythona.

%package apidocs
Summary:	API documentation for Python GObject library
Summary(pl.UTF-8):	Dokumentacja biblioteki Pythona GObject
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for Python GObject library.

%description apidocs -l pl.UTF-8
Dokumentacja biblioteki Pythona GObject.

%package examples
Summary:	Example programs for GObject library
Summary(pl.UTF-8):	Programy przykładowe dla biblioteki GObject
Group:		Development/Languages/Python
Requires:	%{name}-devel = %{version}-%{release}
BuildArch:	noarch

%description examples
This package contains example programs for GObject library.

%description examples -l pl.UTF-8
Ten pakiet zawiera przykładowe programy dla biblioteki GObject.

%prep
%setup -q -n %{module}-%{version}

%{__sed} -i -e '1s|#!/usr/bin/env python$|#!%{__python}|'  examples/cairo-demo.py

%build
%py3_build %{?with_tests:test}

%if %{with doc}
%{__make} -C docs
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%py3_install

cp -a examples/*.py $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README.rst
%dir %{py3_sitedir}/gi
%attr(755,root,root) %{py3_sitedir}/gi/_gi.cpython*.so
%attr(755,root,root) %{py3_sitedir}/gi/_gi_cairo.cpython*.so
%{py3_sitedir}/gi/*.py
%{py3_sitedir}/gi/__pycache__
%dir %{py3_sitedir}/gi/overrides
%{py3_sitedir}/gi/overrides/*.py
%{py3_sitedir}/gi/overrides/__pycache__
%dir %{py3_sitedir}/gi/repository
%{py3_sitedir}/gi/repository/*.py*
%{py3_sitedir}/gi/repository/__pycache__
%dir %{py3_sitedir}/pygtkcompat
%{py3_sitedir}/pygtkcompat/*.py
%{py3_sitedir}/pygtkcompat/__pycache__
%{py3_sitedir}/PyGObject-%{version}-py*.egg-info

%files devel
%defattr(644,root,root,755)

%files -n python-pygobject3-common-devel
%defattr(644,root,root,755)
%{_includedir}/pygobject-3.0
%{_pkgconfigdir}/pygobject-3.0.pc

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/{_images,_static,devguide,guide,*.html,*.js}
%endif

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Sep 19 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-pygobject3.git;a=log;h=master

* Sun Sep 19 2021 Jakub Bogusz <qboosh@pld-linux.org> d648dff
- updated to 3.42.0

* Tue Mar 30 2021 Jan Palus <atler@pld-linux.org> 262cfce
- up to 3.40.1

* Mon Mar 22 2021 Jakub Bogusz <qboosh@pld-linux.org> 312086e
- rpm version for noarch subpackages

* Sat Mar 20 2021 Jan Palus <atler@pld-linux.org> 60886a6
- up to 3.40.0

* Sun Feb 28 2021 Jan Palus <atler@pld-linux.org> 75d06aa
- release 2 (by relup.sh)

* Sat Feb 27 2021 Jan Palus <atler@pld-linux.org> 4eef192
- updated source url

* Sat Feb 27 2021 Jan Palus <atler@pld-linux.org> 3014014
- unconditional noarch subpackages

* Sat Feb 27 2021 Jan Palus <atler@pld-linux.org> 4cbf72e
- correct python-modules version in runtime dep

* Thu Sep 17 2020 Jakub Bogusz <qboosh@pld-linux.org> 8b2292b
- python-pygobject3.spec updated to 3.38.0 (now python 3.5+ only)
- keep common-devel subpackage usable also for older python-pygobject3-devel package

* Sun May 10 2020 Jakub Bogusz <qboosh@pld-linux.org> 214779e
- updated to 3.36.1

* Tue Apr 21 2020 Jan Rękorajski <baggins@pld-linux.org> cef85a5
- really rebuild with libffi 3.3
- release 3 (by relup.sh)

* Mon Apr 20 2020 Jan Rękorajski <baggins@pld-linux.org> a5afb2b
- rebuild with libffi 3.3
- release 2 (by relup.sh)

* Fri Mar 20 2020 Jan Palus <atler@pld-linux.org> ce55a23
- up to 3.36.0

* Thu Dec 12 2019 Marcin Krol <hawk@tld-linux.org> de1d710
- release 3

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 64c4ff9
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sun Oct 06 2019 Jakub Bogusz <qboosh@pld-linux.org> d973536
- updated to 3.34.0

* Sat Aug 31 2019 Jan Rękorajski <baggins@pld-linux.org> ba21e75
- update md5

* Sat Aug 31 2019 Jan Rękorajski <baggins@pld-linux.org> 9c72f25
- 3.33 is a dev release, update to 3.32.2

* Sat Aug 31 2019 Jan Rękorajski <baggins@pld-linux.org> f669813
- up to 3.33.1

* Wed Apr 24 2019 Jakub Bogusz <qboosh@pld-linux.org> 45ceb30
- updated to 3.32.1

